"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
var path_1 = require("path");
/**
 * Get project root
 * @example
 * getProjectRoot() // /path/to/project
 */
var getProjectRoot = function () {
    var mainFileName = require.main ? require.main.filename : __dirname;
    if (mainFileName.indexOf('node_modules') > 0) {
        return mainFileName.split('/node_modules')[0];
    }
    var currentPath = path_1.join(mainFileName, '../');
    var result = '';
    // eslint-disable-next-line fp/no-loops
    while (currentPath !== '/') {
        if (fs_1.existsSync(currentPath + '/package.json')) {
            result = currentPath;
            break;
        }
        currentPath = path_1.resolve(currentPath, '../');
    }
    return result;
};
exports.default = getProjectRoot;
